/* =====================================================================

   LiMo - Liblary
      Rero2's Resistrict Data Archive System.
                   - $B%l%8%9%H@)8BIU$-%G!<%?%"!<%+%$%V%7%9%F%`(B

                                  Programed by Rero2 (K.Kunikane)

====================================================================== */

#ifndef LM_RRDA

#define LM_RRDA


/* -------------------------------------------------------------
 --- Structure
-------------------------------------------------------------- */

/* -------------------------------------------------------------
 --- Define
-------------------------------------------------------------- */

#ifndef TRUE
#  define TRUE 1
#endif
#ifndef FALSE
#  define FALSE 0
#endif

/* -------------------------------------------------------------
 --- Extern
-------------------------------------------------------------- */
#ifdef __cplusplus
extern              "C"
{
#endif                          /* __cplusplus */

int            lm_rrda_open(char*, char*);
void           lm_rrda_close(void);
int            lm_rrda_check_open(void);
int            lm_rrda_check_key(void);
int            lm_rrda_check_data(char*);
unsigned long  lm_rrda_data_size(char*);
void          *lm_rrda_load_data(char*);



#ifdef __cplusplus
}
#endif                          /* __cplusplus */

#endif

