/* =====================================================================

   LiMo - Liblary Header
      Sprite Managemant.  - $B%9%W%i%$%H$N4IM}(B

                                  Programed by Rero2 (K.Kunikane)

====================================================================== */

#ifndef RR_SPRITEMAN

#define RR_SPRITEMAN

#include <gtk/gtk.h>
#include "rr_screen.h"

/* -------------------------------------------------------------
 --- Structure
-------------------------------------------------------------- */

typedef struct _RRSObj RRSObj;

struct _RRSObj
{
  gboolean  sw;              /* $BI=<(%9%$%C%A(B */
  gboolean  update;          /* $B:FIA2h$,I,MW$+$I$&$+(B */
  RRSprite  obj;             /* $BI=<($9$k(B Sprite */
  RRSprite  obj_old;         /* $BA02s$N(B Sprite $B%G!<%?(B */
  gint  z;                   /* $B=E$M9g$o$;$N=g0L(B */
  gint  z_old;               /* $B=g0LA02s$N%G!<%?(B */
};

/* -------------------------------------------------------------
 --- Extern
-------------------------------------------------------------- */
#ifdef __cplusplus
extern              "C"
{
#endif                          /* __cplusplus */

void      RRSpritemanInit(void);
void      RRSpritemanFree(void);
RRSObj   *RRSpritemanNew(void);
gint      RRSpritemanDestroy(RRSObj*);
RRSObj   *RRSpritemanBGNew(void);
gint      RRSpritemanBGDestroy(RRSObj*);
void      RRSpritemanBGColor(gint, gint, gint);
void      RRSpritemanZSort(gint);
void      RRSpritemanAutoUpdate(gint);
void      RRSpritemanAllUpdate(void);
gboolean  RRSpritemanCheckUpdate(void);
void      RRSpritemanUpdate(void);



#ifdef __cplusplus
}
#endif                          /* __cplusplus */

#endif

