/* =====================================================================

   LiMo - Theme clock
      Clock Theme Manage.  - ơޤδ

                                  Programed by Rero2 (K.Kunikane)

====================================================================== */

#ifndef TM_CONFIG

#define TM_CONFIG

#include <gdk/gdk.h>
#include <gtk/gtk.h>
#include <gdk-pixbuf/gdk-pixbuf.h>
#include  "rr_spriteman.h"

#ifdef __cplusplus
extern              "C"
{
#endif                          /* __cplusplus */

/* -------------------------------------------------------------
 --- Structure
-------------------------------------------------------------- */


typedef struct _CHAND CHAND;
typedef struct _LMTC LMTC;

  /* --- ʥˤ */
struct _CHAND
{
  /* -- ˤ̵ͭ */
  gboolean   sw;
  /* -- ˤβ */
  GdkPixbuf  *hari_data;
  /* -- ˤβžβ */
  GdkPixbuf  *hari_rot;
  /* -- pixmap ݻ */
  GdkPixmap  *hari_pix;  
  GdkBitmap  *hari_mask;  
  RRSObj     *hari_obj;
  /* -- ˤβž */
  gint  rot;
  /* -- ˤɽ(濴) */
  gint  x, y;
};

  /* --- ơޥեι¤ */
struct _LMTC
{
  /* -- եե̾ݻ */
  gchar  *configfile;

  /* -- ˥塼ˤÿɽå */
  gboolean  menu_sec;

  /* -- ١ֹ(0-23) */
  gint  base_num;
  /* -- ١Υ */
  gint  base_w, base_h;
  /* -- ١ݻ */
  GdkPixmap  *base_pix;  
  GdkBitmap  *base_mask;  

  /* -- ʥɽå */
  gboolean  analog_sw;
  /* -- ÿɽå */
  gboolean  hari_sec_sw;
  /* -- ʥɽǡ */
  CHAND hari_h;
  CHAND hari_m;
  CHAND hari_s;
  /* -- ǥɽå */
  gboolean  digital_sw;
  /* -- ǥɽå */
  gboolean  digital_sec_sw;
  /* -- ǥǥå */
  gboolean  digital_colon_sw;
  /* -- ǥɽѡ */
  GdkPixmap  *digital_pix;  
  GdkBitmap  *digital_mask;  
  RRSObj     *digital_obj[8];
  /* -- ǥɽѡĥ */
  gint  digital_w, digital_h;
};


/* -------------------------------------------------------------
 --- Extern
-------------------------------------------------------------- */
LMTC *TMConfigRead(gchar *config);
LMTC *TMConfigGet(void);
LMTC *TMConfigSet(LMTC *theme);
void  TMConfigFree(LMTC *theme);
void  TMConfigBase(LMTC *theme, gint num);

#ifdef __cplusplus
}
#endif                          /* __cplusplus */

#endif
